Subject: [avtext] A question about draft-ietf-avtext-rid

From: Bernard Aboba <[email-masked]>
Date: Thu, 16 Jun 2016 09:30:14 -0400

[Moving RTP-related question to the AVTEXT mailing list)

Emil asked:

"Are there specs that would actually allow JSEP to operate with

simulcast in reception? Do we have anything that says how SSRCs should
be sort-of ignored in the presence of an incoming RID and tells us

what to do with sequence numbers in such scenarios?"

[BA] draft-ietf-avtext-rid does not updated RFC 3550 or any other
RTP-related document, so my assumption is that it does not change the
treatment of RTP sequence numbers or timestamps.  That is,  streams with
their own SSRCs will have distinct sequence number (and timestamp) spaces.

In a situation where a sender is switching between simulcast streams (as
opposed to sending them all continuously) and there is reordering, a
receiver may begin to receive packets from another stream, and subsequently
see packets arrive from the previous stream.  To correctly order the
incoming packets, it is helpful to use RFC 6051 rapid synchronization.